

function DataReturnTextHidden(url, data, callback, element){ 
  var XMLHttpRequestObject = false; 

  if (window.XMLHttpRequest) {
    XMLHttpRequestObject = new XMLHttpRequest();
  } else if (window.ActiveXObject) {
    XMLHttpRequestObject = new 
     ActiveXObject("Microsoft.XMLHTTP");
  }

  if(XMLHttpRequestObject) {
    XMLHttpRequestObject.open("POST", url); 
    XMLHttpRequestObject.setRequestHeader('Content-Type','application/x-www-form-urlencoded'); 

    XMLHttpRequestObject.onreadystatechange = function() 
    { 
      
      if (XMLHttpRequestObject.readyState == 4 && 
        XMLHttpRequestObject.status == 200) {
          callback(XMLHttpRequestObject.responseText,element); 
          delete XMLHttpRequestObject;
          XMLHttpRequestObject = null;
      }  else {
/*      alert (  "XMLHttpRequestObject.status : "+ XMLHttpRequestObject.status + " , XMLHttpRequestObject.readyState : " + XMLHttpRequestObject.readyState);*/
      }
    }

    XMLHttpRequestObject.send(data); 
  }
}


function DataReturnText(url, data, callback, element, popupba){ 
  var XMLHttpRequestObject = false; 

  if (window.XMLHttpRequest) {
    XMLHttpRequestObject = new XMLHttpRequest();
  } else if (window.ActiveXObject) {
    XMLHttpRequestObject = new 
     ActiveXObject("Microsoft.XMLHTTP");
  }

  if(XMLHttpRequestObject) {
    XMLHttpRequestObject.open("POST", url); 
    XMLHttpRequestObject.setRequestHeader('Content-Type','application/x-www-form-urlencoded'); 

    XMLHttpRequestObject.onreadystatechange = function() 
    { 
      
      if (XMLHttpRequestObject.readyState == 4 && 
        XMLHttpRequestObject.status == 200) {
          callback(XMLHttpRequestObject.responseText,element,popupba); 
          delete XMLHttpRequestObject;
          XMLHttpRequestObject = null;
      }  else {
/*      alert (  "XMLHttpRequestObject.status : "+ XMLHttpRequestObject.status + " , XMLHttpRequestObject.readyState : " + XMLHttpRequestObject.readyState);*/
      }
    }

    XMLHttpRequestObject.send(data); 
  }
}

function DataReturnTextList(url, data, callback, element,jqAjaxData,ListTable){ 
  var XMLHttpRequestObject = false; 

  if (window.XMLHttpRequest) {
    XMLHttpRequestObject = new XMLHttpRequest();
  } else if (window.ActiveXObject) {
    XMLHttpRequestObject = new 
     ActiveXObject("Microsoft.XMLHTTP");
  }

  if(XMLHttpRequestObject) {
    XMLHttpRequestObject.open("POST", url); 
    XMLHttpRequestObject.setRequestHeader('Content-Type','application/x-www-form-urlencoded'); 

    XMLHttpRequestObject.onreadystatechange = function() 
    { 
      
      if (XMLHttpRequestObject.readyState == 4 && 
        XMLHttpRequestObject.status == 200) {
          callback(XMLHttpRequestObject.responseText,element,jqAjaxData,ListTable); 
          delete XMLHttpRequestObject;
          XMLHttpRequestObject = null;
      }
    }

    XMLHttpRequestObject.send(data); 
  }
}
